Retrieve Specific Plan

The Retrieve Specific Plan request enables you to retrieve details about one existing subscription billing plan.


Request Content

Enter the planId into the web service URL, in the format:
services/2/recurring/plans/{planId}

For example:
services/2/recurring/plans/2111111

Response Details

If successful, the response HTTP status code is 200 OK.
The response contains the retrieved plan object.

Examples

Request Examples

curl -v -X GET https://sandbox.bluesnap.com/services/2/recurring/plans/2283845 \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \ 
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '

Response Examples

{
    "chargeFrequency": "MONTHLY",
    "gracePeriodDays": 10,
    "trialPeriodDays": 14,
    "initialChargeAmount": 100,
    "name": "Gold Plan",
    "planId": 2283845,
    "currency": "USD",
    "maxNumberOfCharges": 12,
    "recurringChargeAmount": 29.99,
    "chargeOnPlanSwitch": true,
    "status": "ACTIVE"
}

API Explorer

To test out a call, enter an existing plan ID (e.g 2283845) in the planId field. This will automatically insert the ID into the request URL.

Path Params
int32
required
Defaults to 3068673

BlueSnap identifier for the plan.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!